<div class="content-header">
  <mb-button
    *ngIf="title !== 'Chi tiết bộ chỉ tiêu kế hoạch giao nhân viên' && flagStatus === 12 && objFunction.approve"
    mbButtonAvailableStyle="PRIMARY" mbButtonText="Xác nhận" (click)="handleRecive()">
  </mb-button>
  <mb-button
    *ngIf="title === 'Chi tiết bộ chỉ tiêu kế hoạch giao nhân viên' && flagStatus === 12 && objFunction.approve"
    mbButtonAvailableStyle="PRIMARY" mbButtonText="Duyệt" (click)="handleApprove()">
  </mb-button>
  <mb-button (click)="handleReject()" mbButtonAvailableStyle="DEFAULT" mbButtonBgColor="#fff" mbButtonTextColor=""
             mbButtonText="Từ chối" button *ngIf="flagStatus === 12 && objFunction.approve" ColorWhite="true"></mb-button>
</div>
<nz-card class="personal-plan-target-card">
  <div nz-row>
    <div nz-col nzSpan="6">
      <div>
        <label style="font-weight: bold;">Mã nhân viên</label>
      </div>
      <span>{{infoEmployee?.empCode}}</span>
    </div>
    <div nz-col nzSpan="6">
      <div>
        <label style="font-weight: bold;">Họ và tên</label>
      </div>
      <span>{{infoEmployee?.fullName}}</span>
    </div>
    <div nz-col nzSpan="6">
      <div>
        <label style="font-weight: bold;">Position</label>
      </div>
      <span>{{infoEmployee?.positionName}}</span>
    </div>
    <div nz-col nzSpan="6">
      <div>
        <label style="font-weight: bold;">Trạng thái</label>
      </div>
      <span>{{renderFlagStatus(infoEmployee?.flagStatus)}}</span>
    </div>
  </div>
  <div nz-row style="align-items: flex-end; margin-top: 22px;">
    <div nz-col nzSm="24" nzXs="24" nzLg="6">
      <div>
        <label style="font-weight: bold;">CBQL trực tiếp</label>
      </div>
      <span>{{infoEmployee?.directEmp}}</span>
    </div>
    <div nz-col nzSm="24" nzXs="24" nzLg="6">
      <div>
        <label style="font-weight: bold;">Chức danh</label>
      </div>
      <span>{{infoEmployee?.directJobName}}</span>
    </div>
    <div nz-col nzSm="24" nzXs="24" nzLg="6">
      <div>
        <label style="font-weight: bold;">Kỳ đánh giá năm</label>
      </div>
      <span>{{infoEmployee?.periodYear}}</span>
    </div>
  </div>
  <div nz-row style="align-items: flex-end; margin-top: 22px;">
    <div nz-col nzSm="24" nzXs="24" nzLg="6" *ngIf="infoEmployee?.indirectEmp">
      <div>
        <label style="font-weight: bold;">CBQL gián tiếp</label>
      </div>
      <span>{{infoEmployee?.indirectEmp}}</span>
    </div>
    <div nz-col nzSm="24" nzXs="24" nzLg="6" *ngIf="infoEmployee?.indirectJobName">
      <div>
        <label style="font-weight: bold;">Chức danh</label>
      </div>
      <span>{{infoEmployee?.indirectJobName}}</span>
    </div>
  </div>
</nz-card>

<div nz-row style="margin-top: 22px;">
  <div nz-col nzSpan="24">
    <form nz-form [formGroup]="formReject">
      <mb-input-text formControlName="reason"
                     [mbType]="isSubmitted && (formReject.controls['reason'].errors || formReject.errors?.noAllowSpace) ? 'error' : 'default'"
                     [mbShowError]="isSubmitted && (formReject.controls['reason'].errors || formReject.errors?.noAllowSpace) != null"
                     [mbErrors]="formReject.controls['reason'].errors" [mbErrorDefs]="[
                { errorName: 'maxlength', errorDescription: 'goaManagement.validate.maxLength' | translate: {'numberLength': '250' }},
                { errorName: 'required', errorDescription: 'goaManagement.validate.required' | translate: {'param': 'targerManager.personalPlanTarget.staffComments' | translate }},
                { errorName: 'noAllowSpace', errorDescription: 'goaManagement.validate.required' | translate: {'param': 'targerManager.personalPlanTarget.staffComments' | translate }},
                { errorName: 'reason', errorDescription: 'goaManagement.validate.code' | translate }]"
                     mbPlaceholderText="{{'targerManager.personalPlanTarget.staffComments' | translate}}"
                     mbLabelText="{{'targerManager.personalPlanTarget.staffComments' | translate}} <span class='label__required'>*</span>"
                     (keyup)="getValueDescription($event)">
      </mb-input-text>
    </form>
  </div>
</div>

<nz-table style="margin-top: 22px" class="data-table" nzSize='small' #basicTable [nzData]="arrayParent && arrayParent.length ? arrayParent : []"
          [nzFrontPagination]="false" [nzScroll]="listNotUnique?.length > 1 ? { x: '460px' } : {}">
  <thead>
  <tr>
    <th scope="col" nzWidth='10em' nzLeft>Tên thẻ điểm </th>
    <th scope="col">Tên chỉ tiêu </th>
    <th scope="col">Tỷ trọng </th>
    <th scope="col" *ngFor="let data of listNotUnique; let i = index">
      {{data.periodName}}</th>
    <th scope="col" nzWidth='10em' nzRight>Diễn giải </th>
  </tr>
  </thead>
  <tbody>
  <ng-container *ngFor="let data of arrayParent; let i = index">
    <tr>
      <td nzLeft>
        {{data.scoreCardName}}
      </td>
      <td>
        {{data.tarName}}
      </td>
      <td>
        {{data.scale}}
      </td>
      <ng-container *ngFor="let data1 of listResult[data.stdId]">
        <td >
          {{data1.estimateNum}}
        </td>
      </ng-container>

      <td nzRight>
        {{data.description}}
      </td>
    </tr>
    <ng-container *ngIf="data.subs && data.subs.length > 0">
      <ng-container *ngFor="let dv1 of data.subs; let i1 = index">
        <tr>
          <td nzLeft>
            {{dv1.scoreCardName}}
          </td>

          <td style='padding-left: 2em'>
            {{dv1.tarName}}
          </td>
          <td>
            {{dv1.scale}}
          </td>
          <ng-container *ngFor="let data2 of listResultChild[dv1.stdId] ; let i = index">
            <td *ngIf="listResultChild && listResultChild[dv1.stdId]">
              {{data2.estimateNum}}
            </td>
          </ng-container>
          <td nzRight>
            {{data.description}}
          </td>
        </tr>
      </ng-container>
    </ng-container>
  </ng-container>
  </tbody>
</nz-table>
